#!/usr/bin/perl -w
#
# $Id: pkstool.pl,v 1.2 2003/04/10 06:59:46 rlaager Exp $
# WWW Interface for pksd Administration
# This version was tested with pks version 0.9.6.
#
# Author: Josef Missel
# Contact/Translation: Stephan J. Reichenbach (reichenb@pdkue.bwl.de)
#
# Portions copyright (C) 2003 Josef Missel
# Portions copyright (C) 2003 Stephan J. Reichenbach.
# Portions copyright (C) 2003 Richard Laager.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public
# License along with this program; if not, write to the Free
# Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
# MA 02111-1307, USA.
#

my ($adminpw) = @ARGV;

open P, "grep root: /etc/shadow |";
$_ = <P>;
close P;

my ($tmp, $pwshadow) = split /:/;

if (crypt($adminpw, substr($pwshadow, 0, 2)) ne $pwshadow)
{
    exit -1;
}
else
{
    exit 0;
}
